package com.adealink.weparty.room.micseat

import com.adealink.frame.statistics.BaseStatEvent
import com.adealink.frame.statistics.CommonEventKey
import com.adealink.frame.statistics.IEventValue

class DecorDynamicLayerEvent(override val action: IEventValue) : BaseStatEvent("dynamic_layer") {

    enum class Action(override val value: String, override val desc: String) : IEventValue {
        ADD_VIEW("addView", "添加View"),
    }

    val error = Param(CommonEventKey.ERROR)
    val msg = Param("message")
}